/******************************************************************************************
	CRTEST PS   (c) 1999-2001 ISL

	menu.h:			Simple Menu
******************************************************************************************/

#ifndef _MENU_H_
#define _MENU_H_

#include "dcinc.h"

void menuStart();
void menuStart2();
void menuEnd();

void drawBGTim();
void uploadTimToVRAM(ULONG *addr);

void menuDraw();
void menuCycle();
#ifndef DREAMCAST
extern VOID_SUBROUTINE menuStart2pointer;	// It's actually in main.c
extern VOID_SUBROUTINE fireworksStartPointer;
extern VOID_SUBROUTINE catapultStartPointer;
extern VOID_SUBROUTINE seesawStartPointer;
extern VOID_SUBROUTINE engineStartPointer;
extern VOID_SUBROUTINE constructStartPointer;
extern VOID_SUBROUTINE wingsStartPointer;
extern VOID_SUBROUTINE crateStartPointer;
extern VOID_SUBROUTINE dogStartPointer;
extern VOID_SUBROUTINE elStartPointer;
#endif



#ifndef _WINDOWS
#define menuStart()	main_OverlayCycleChange(DEBUG_OVERLAY, menuStart2pointer);
#else
//#define menuStart()	0
#define menuStart()	menuStart2()
#endif

#ifndef _LEVFLOW_H_
#include "lev_flow.h"
#endif

#endif
